A trouble installing pkg parallel

Previous Topic Next Topic
 
classic Classic list List threaded Threaded
3 messages Options
Reply | Threaded
Open this post in threaded view
|

A trouble installing pkg parallel

estrella.caballero
Hello:
I´d like to ask the list for help about a trouble I had in the  
installation of a package. I installed Octave 4.0.2 in Windows 10 (the  
hardware is a laptop with Intel core i3). Because the version does not  
include the package ´parallel´, I downloaded it, it is the package  
parallel-3.1.1. When I install it, there is an error with the message  
?error running the configure script for parallel?,  in the script  
configure_make.m. Can someone help me please to know what to do for  
installing this package?
Thank you very much,
Erick


----------------------------------------------------------------
This message was sent using IMP, the Internet Messaging Program.



--
Este mensaje le ha llegado mediante el servicio de correo electronico que ofrece Infomed para respaldar el cumplimiento de las misiones del Sistema Nacional de Salud. La persona que envia este correo asume el compromiso de usar el servicio a tales fines y cumplir con las regulaciones establecidas

Infomed: http://www.sld.cu/


_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: A trouble installing pkg parallel

Renato S. Yamane-3
2017-12-16 14:46 GMT+01:00  <[hidden email]>:
> I´d like to ask the list for help about a trouble I had in the installation
> of a package. I installed Octave 4.0.2 in Windows 10 (the hardware is a
> laptop with Intel core i3). Because the version does not include the package
> ´parallel´, I downloaded it, it is the package parallel-3.1.1. When I
> install it, there is an error with the message ?error running the configure
> script for parallel?,  in the script configure_make.m.

1) Install the latest version of Octave (4.2.1);
2) In octave, run:
      pkg install -forge parallel
      pkg load parallel

Have a good day,
Renato

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave
Reply | Threaded
Open this post in threaded view
|

Re: A trouble installing pkg parallel

mmuetzel
In reply to this post by estrella.caballero
Erick,

The parallel package heavily depends on "fork" which is only available in
*nix systems. As far as I know, there is no way this package will run on
Windows (as of now).

Markus



--
Sent from: http://octave.1599824.n4.nabble.com/Octave-General-f1599825.html

_______________________________________________
Help-octave mailing list
[hidden email]
https://lists.gnu.org/mailman/listinfo/help-octave